<div *ngIf="!sendLoading; else spinner">
  <app-drop-image  [inputImageUrl]="inputImageUrl" (imageBase64)="inputImageUrl=$event"></app-drop-image>
  <main class="creating_main">
    <div class="creating_wrapper">
      <form [formGroup]="form"
            #createPost="ngForm"
            method="post"
            id="drag_form"
            name="form"
            action="">

        <h6>Enter the title of your article</h6>
        <div class="input_wrapper">
          <input type="text"
                 formControlName="titleInput"
                 name="titleInput"
                 placeholder="Enter Title"
                 id="creating_input1"
          >
          <div class="error_form"
               *ngIf="form.get('titleInput')?.touched && form.get('titleInput')?.invalid
               || (createPost.submitted && form.get('titleInput')?.invalid)">
            Title required
          </div>
        </div>
        <div class="creating_block"
             *ngFor="let item of blocksValue; let i = index">
          <h6>Enter the subtitle of your article</h6>
          <div class="input_wrapper">
            <input maxlength="100"
                   type="text"
                   formControlName="subTitleInput{{item}}"
                   placeholder="Enter Subtitle"
                   id="creating_input2"
            >

            <div class="error_form"
                 *ngIf="getInput('subTitleInput',item)?.touched
                 && getInput('subTitleInput',item)?.errors?.maxlength
                 || (createPost.submitted && getInput('subTitleInput', item)?.invalid)"
            >
              {{getInput('subTitleInput', item)?.errors?.maxlength?.actualLength}} characters is more
              then {{getInput('subTitleInput', item)?.errors?.maxlength?.requiredLength}}
            </div>

            <div class="error_form"
                 *ngIf="getInput('subTitleInput',item)?.touched
                 && getInput('subTitleInput',item)?.value==''
                 || (createPost.submitted && getInput('subTitleInput',item)?.invalid)"
            >
              Enter subtitle!
            </div>
          </div>

          <h6>Tell your story...</h6>

          <div class="input_wrapper">
          <textarea formControlName="contentInput{{item}}"
                    type="text"
                    rows="5"
                    cols="60"
                    id="creating_input3"
          >
          </textarea>

            <div class="error_form"
                 *ngIf="getInput('contentInput',item)?.touched
                  && getInput('contentInput',item)?.invalid
                  || (createPost.submitted && getInput('contentInput',item)?.invalid)"
            >Enter some text!
            </div>
          </div>

          <button class="delete_article_btn"
                  *ngIf="i>=1"
                  (click)="deleteBlock(item)"
                  type="button"
          >Delete block
          </button>
        </div>

        <button class="new_block_btn"
                (click)="addBlock()"
                type="button"
        >Add new block
        </button>
        <h6>Add tag information</h6>
        <div class="input_wrapper">
          <div *ngIf="createPost.submitted && defaultTags.length==0"
               class="error_form">
            Choose any tag!
          </div>
          <app-tags-list [tagsList]="tagsList" [selectedTags]="defaultTags"></app-tags-list>
          <app-custom-tags-input></app-custom-tags-input>
        </div>
      </form>
    </div>
  </main>
  <footer *ngIf="!sendLoading"
          class="footer_article">
    <div class="form_buttons">
      <button id="preview"
              [disabled]="!(form.valid && ( defaultTags.length!==0 && inputImageUrl))"
              routerLink='preview'
              class="form_button"
              (click)="saveData(false)"
      >Preview
      </button>
      <button [ngClass]="form.valid && ( defaultTags.length!==0 && inputImageUrl) ? '' : 'invalid_form'"
              form="drag_form"
              (click)="saveData(true)"
              class="form_button"
      >Publish
      </button>
    </div>
  </footer>
</div>

<ng-template #spinner>
  <h1 class="spinner_text">Loaging article...</h1>
  <app-spinner [spinnerStyle]="spinnerStyle"></app-spinner>
</ng-template>
